Subject: Re: bug#47894: 28.0.50; isearch does not work if enable-recursive-minibuffers is on and some input method is set.

From: Gregory Heytings <[email-masked]>
Date: Tue, 20 Apr 2021 20:15:41 +0000

>
> This is because of the recent change in ff796823e5 with the hope that it 
> doesn't break other modes. But your bug report helped to reveal that it 
> causes breakage.  So I had to revert it.
>
> Gregory, could you please see if it can be improved to not fail in the 
> reported case?  Additionally, on emacs-devel Zhiwei Chen said this:
>
>  It failed to work when buffer is auto selected via
>  `display-buffer-alist’.  When the point moves to the *Occur* buffer,
>  typing “n”, “p” still sends “n”, “p” to isearch.
>
>  (defun display-buffer-select (buffer alist)
>    (let ((window (display-buffer-below-selected buffer alist)))
>      (when (window-live-p window)
>        (select-window window))))
>
>  (setq display-buffer-alist '(("\\*Occur\\*" (display-buffer-select))))
>
> Maybe this could be handled as well?
>

Thanks for the reminder; I had seen Zhiwei Chen's message, but not this 
bug.  I'll have a look.